Bug 1023624 - RHEV 3.2 virtual machines crash when booting either 32 or 64 bit Fedora 19 ISOs
RHEV 3.2 virtual machines crash when booting either 32 or 64 bit Fedora 19 ISOs
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: ovirt-engine (Show other bugs)
19
other Linux
unspecified Severity high
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-26 04:22 EDT by Greg Scott
Modified: 2015-02-17 12:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:49:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Scott 2013-10-26 04:22:55 EDT
Description of problem:

I can boot my SPICE console virtual machine from any number of ISO files in my RHEV ISO domain, just not either the 32 or 64 bit F19 installation ISOs. I was finally able to capture a screenshot of the console - when I boot any VM from either my 32 bit or 64 bit F19 ISO, the VM blows up with this error on the console:

[5.306867 ioremap error for 0x3ffff000-0x40000000, requested 0x10, got 0x0

and then powers itself off. The error happens whether I select the option to test the media or just do the install. I know the ISO files are good because I've burned real DVDs from them and installed to physical hardware from the DVDs. But just in case, I downloaded another copy and have the same symptoms. 

So the problem is not bad ISO images. Something is unique to the F19 installation ISO images that do not get along well with SPICE console RHEV VMs. 


Version-Release number of selected component (if applicable):
Both 32 and 64 bit Fedora 19 installation ISOs.  F18 and earlier work fine.

How reproducible:
At will

Steps to Reproduce:
1. Boot from the ISO image.
2. Select either option to install Fedora or test the media and install Fedora.
3. The console screen goes white for a few seconds.
4. Then it flashes the ioremap error above and the VM either powers off or reboots.

Actual results:
The VM dies and powers itself off trying to bootstrap from any F19 installation ISO image.  

Expected results:
The VM should finish booting and start the installar.

Additional info:

When I select the Troubleshooting option at the bottom of the boot menu and then Install Fedora 19 in basic graphics mode in the Troubleshooting menu, the screen goes white for a few seconds and the ioremap error flashes as above - but then it boots and the installer starts up and runs properly.

So go figure. This looks like a Fedora 19 initial video driver issue that does not get along well with the SPICE console.
Comment 1 Richard W.M. Jones 2013-10-28 09:52:29 EDT
febootstrap is not the correct component.  I'm guessing this
should be filed against RHEV (ie. ovirt).
Comment 2 Fedora End Of Life 2015-01-09 15:22:13 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:49:06 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.